
set( icaruscode_VERSION 09.28.01 )
set( icaruscode_UPS_VERSION v09_28_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larsoft  )
find_ups_product( lareventdisplay  )
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata  )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( postgresql  )
find_ups_product( fftw  )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larevt  )
find_ups_product( libwda  )
find_ups_product( larsim  )
find_ups_product( marley  )
find_ups_product( nutools  )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
find_ups_product( nug4  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
find_ups_product( nugen  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-matrix/BUILDTYPE/prof/QUAL/s110-e20/label1/swarm/label2/SLF7/build/libxml2/v2_9_10a/Linux64bit+3.10-2.17/lib NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
find_ups_product( gsl  )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
find_ups_product( nurandom  )
find_ups_product( ifdhc  )
find_ups_product( log4cpp  )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( larreco  )
find_ups_product( eigen  )
find_ups_product( nuevdb  )
find_ups_product( larexamples  )
find_ups_product( larana  )
find_ups_product( larrecodnn  )
find_ups_product( protobuf  )
  cet_find_library( PROTOBUF NAMES protobuf PATHS ENV PROTOBUF_LIB NO_DEFAULT_PATH )
find_ups_product( tensorflow  )
  cet_find_library( TENSORFLOW NAMES tensorflow PATHS ENV TENSORFLOW_LIB NO_DEFAULT_PATH )
  cet_find_library( FOR_TENSORFLOW NAMES tensorflow_framework PATHS ENV TENSORFLOW_LIB NO_DEFAULT_PATH )
find_ups_product( triton  )
find_ups_product( grpc  )
find_ups_product( larpandora  )
find_ups_product( pandora  )
find_ups_product( larpandoracontent  )
  cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
  cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
find_ups_product( ifdh_art  )
find_ups_product( ifbeam  )
find_ups_product( nucondb  )
  cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
  cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
  cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3 PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( guideline_sl  )
find_ups_product( sbnobj  )
find_ups_product( sbncode  )
find_ups_product( artdaq_core v3_06_01 )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( icarus_signal_processing  )
find_ups_product( icarusalg  )
find_ups_product( icarusutil  )
find_ups_product( icarus_data  )
find_ups_product( sbndaq_artdaq_core  )
  cet_find_library( NURANDOM_RANDOMUTILS_NURANDOMSERVICE_SERVICE NAMES nurandom_RandomUtils_NuRandomService_service PATHS ENV NURANDOM_LIB NO_DEFAULT_PATH )
  cet_find_library( ICARUS_FFTW3_LIBRARY NAMES fftw3 PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-prof/lib )
  cet_find_library( ICARUS_FFTW3F_LIBRARY NAMES fftw3f PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-prof/lib )
  cet_find_library( ICARUS_FFTW3L_LIBRARY NAMES fftw3l PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-prof/lib )
  cet_find_library( ICARUS_FFTW3Q_LIBRARY NAMES fftw3q PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-prof/lib )
set(ICARUSCODE_ICARUSOBJ_DICT "$ENV{ICARUSCODE_LIB}/libicaruscode_IcarusObj_dict.so")
set(ICARUSCODE_ANALYSIS_TOOLS_MCTRUTH_ASSOCIATIONSTRUTH_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_MCTruth_AssociationsTruth_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_MCTRUTH_BACKTRACKERTRUTH_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_MCTruth_BackTrackerTruth_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_MCTRUTH_MCTRUTHTESTANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_MCTruth_MCTruthTestAna_module.so")
set(ICARUSCODE_ANALYSIS_TOOLS_BASICHITANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_BasicHitAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_BASICRAWDIGITANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_BasicRawDigitAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_BASICTRACKANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_BasicTrackAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_BASICWIREANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_BasicWireAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_HITEFFICIENCYANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_HitEfficiencyAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_HITFINDERANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_HitFinderAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_SPACEPOINTANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_SpacePointAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_TOOLS_TRACKHITEFFICIENCYANALYSIS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_tools_TrackHitEfficiencyAnalysis_tool.so")
set(ICARUSCODE_ANALYSIS_OVERBURDEN_OBANAICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_overburden_OBAnaICARUS_module.so")
set(ICARUSCODE_ANALYSIS_ANALYSISTREE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_AnalysisTree_module.so")
set(ICARUSCODE_ANALYSIS_HITEFFICIENCYANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_HitEfficiencyAna_module.so")
set(ICARUSCODE_ANALYSIS_ICARUSPURITYDQM_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_ICARUSPurityDQM_module.so")
set(ICARUSCODE_ANALYSIS_RAWDIGITANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_RawDigitAna_module.so")
set(ICARUSCODE_ANALYSIS_TPCPURITYINFOANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_TPCPurityInfoAna_module.so")
set(ICARUSCODE_ANALYSIS_THROUGHGOINGMUONANALYZER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_ThroughgoingmuonAnalyzer_module.so")
set(ICARUSCODE_ANALYSIS_TRACKHITANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_TrackHitAna_module.so")
set(ICARUSCODE_ANALYSIS_WIREANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Analysis_WireAna_module.so")
set(ICARUSCODE_CRTUTILS "$ENV{ICARUSCODE_LIB}/libicaruscode_CRTUtils.so")
set(CRT_CAL "$ENV{ICARUSCODE_LIB}/libCRT_CAL.so")
set(CRT_CAL_TREE "$ENV{ICARUSCODE_LIB}/libCRT_CAL_TREE.so")
set(CRT_RAW_TREE "$ENV{ICARUSCODE_LIB}/libCRT_RAW_TREE.so")
set(CRT_TIMING "$ENV{ICARUSCODE_LIB}/libCRT_TIMING.so")
set(CRT_PREPROCESS_TREE "$ENV{ICARUSCODE_LIB}/libCRT_PREPROCESS_TREE.so")
set(CRT_MERGE_PREPROCESS_TREE "$ENV{ICARUSCODE_LIB}/libCRT_MERGE_PREPROCESS_TREE.so")
set(BERN_CRT_TRANSLATOR "$ENV{ICARUSCODE_LIB}/libBERN_CRT_TRANSLATOR.so")
set(ICARUSCODE_CRT_CRTDECODER_BERNCRTANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDecoder_BernCRTAna_module.so")
set(ICARUSCODE_CRT_CRTDECODER_CRTNOISEMONTOOL_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDecoder_CrtNoiseMonTool_module.so")
set(ICARUSCODE_CRT_CRTDECODER_CRTCALANALYSIS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDecoder_CrtCalAnalysis_module.so")
set(ICARUSCODE_CRT_CRTDECODER_ANAPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDecoder_AnaProducer_module.so")
set(ICARUSCODE_CRT_CRTDECODER_CRTEVENTPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDecoder_CRTEventProducer_module.so")
set(ICARUSCODE_CRT_CRTDECODER_DECODERICARUSCRT_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDecoder_DecoderICARUSCRT_module.so")
set(ICARUSCODE_CRTDATA "$ENV{ICARUSCODE_LIB}/libicaruscode_CRTData.so")
set(ICARUSCODE_CRT "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT.so")
set(ICARUSCODE_CRT_CRTGEOMETRYHELPER_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTGeometryHelper_service.so")
set(ICARUSCODE_CRT_CRTDETSIM_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDetSim_module.so")
set(ICARUSCODE_CRT_CRTSIMHITPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTSimHitProducer_module.so")
set(ICARUSCODE_CRT_CRTTRUEHITPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTTrueHitProducer_module.so")
set(ICARUSCODE_CRT_CRTTZEROPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTTzeroProducer_module.so")
set(ICARUSCODE_CRT_CRTTRACKPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTTrackProducer_module.so")
set(ICARUSCODE_CRT_CRTSIMANALYSIS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTSimAnalysis_module.so")
set(ICARUSCODE_CRT_CRTDATAANALYSIS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTDataAnalysis_module.so")
set(ICARUSCODE_CRT_CRTOPHITMATCHANALYSIS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CrtOpHitMatchAnalysis_module.so")
set(ICARUSCODE_CRT_CRTTRUTHMATCHANALYSIS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTTruthMatchAnalysis_module.so")
set(ICARUSCODE_CRT_CRTAUTOVETO_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_CRTAutoVeto_module.so")
set(ICARUSCODE_CRT_FLASHRESANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_FlashResAna_module.so")
set(ICARUSCODE_CRT_PHOTBACKGROUND_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_CRT_PhotBackground_module.so")
set(ICARUSCODE_DECODE_DAQDECODERICARUSPMTNOTTHATOLD_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DaqDecoderICARUSPMTnotThatOld_module.so")
set(ICARUSCODE_DECODE_DAQDECODERICARUSPMTOLD_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DaqDecoderICARUSPMTold_module.so")
set(ICARUSCODE_DECODE_DAQDECODERICARUSTPC_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DaqDecoderICARUSTPC_module.so")
set(ICARUSCODE_DECODE_DAQDECODERICARUSTPCWROI_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DaqDecoderICARUSTPCwROI_module.so")
set(ICARUSCODE_DECODE_DAQDECODERICARUSTRIGGER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DaqDecoderICARUSTrigger_module.so")
set(ICARUSCODE_DECODE_FILTERNOISEICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_FilterNoiseICARUS_module.so")
set(ICARUSCODE_DECODE_MCDECODERICARUSTPCWROI_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_MCDecoderICARUSTPCwROI_module.so")
set(ICARUSCODE_DECODE_DAQDECODERICARUSPMT_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DaqDecoderICARUSPMT_module.so")
set(ICARUSCODE_DECODE_PMTCONFIGURATIONEXTRACTION_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_PMTconfigurationExtraction_module.so")
set(ICARUSCODE_DECODE_DUMPPMTCONFIGURATION_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DumpPMTconfiguration_module.so")
set(ICARUSCODE_DECODE_DUMPARTDAQFRAGMENTS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DumpArtDAQfragments_module.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_DUMPERS "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_Dumpers.so")
set(ICARUSCODE_DECODE_DECODERTOOLS "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_FAKEPARTICLE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_FakeParticle_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_PMTDECODER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_PMTDecoder_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TPCDECODERCANNY_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TPCDecoderCanny_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TPCDECODERFILTER1D_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TPCDecoderFilter1D_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TPCDECODERFILTER2D_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TPCDecoderFilter2D_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TPCDECODEROVERLAYFILTER1D_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TPCDecoderOverlayFilter1D_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TPCDECODEROVERLAYFILTER2D_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TPCDecoderOverlayFilter2D_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TPCDECODER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TPCDecoder_tool.so")
set(ICARUSCODE_DECODE_DECODERTOOLS_TRIGGERDECODER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DecoderTools_TriggerDecoder_tool.so")
set(ICARUSCODE_DECODE_CHANNELMAPPING "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_ChannelMapping.so")
set(ICARUSCODE_DECODE_CHANNELMAPPING_CHANNELMAPPOSTGRES_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_ChannelMapping_ChannelMapPostGres_tool.so")
set(ICARUSCODE_DECODE_CHANNELMAPPING_CHANNELMAPSQLITE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_ChannelMapping_ChannelMapSQLite_tool.so")
set(ICARUSCODE_DECODE_CHANNELMAPPING_ICARUSCHANNELMAP_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_ChannelMapping_ICARUSChannelMap_service.so")
set(ICARUSCODE_DECODE_DATAPRODUCTS "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DataProducts.so")
set(ICARUSCODE_DECODE_DATAPRODUCTS_DICT "$ENV{ICARUSCODE_LIB}/libicaruscode_Decode_DataProducts_dict.so")
set(ICARUSCODE_FILTERS_FILTERNEUTRINOSACTIVEVOLUME_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Filters_FilterNeutrinosActiveVolume_module.so")
set(ICARUSCODE_FILTERS_FILTERNUMBERTPCHITS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Filters_FilterNumberTPCHits_module.so")
set(ICARUSCODE_FILTERS_FILTEROPFLASH_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Filters_FilterOpFlash_module.so")
set(ICARUSCODE_FILTERS_FILTERPARTICLESACTIVEVOLUME_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Filters_FilterParticlesActiveVolume_module.so")
set(ICARUSCODE_FILTERS_TRIGGERTYPEFILTER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Filters_TriggerTypeFilter_module.so")
set(ICARUSCODE_GEOMETRY_ICARUSSINGLEINDUCTIONCHANNELMAPSETUPTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Geometry_ICARUSsingleInductionChannelMapSetupTool_tool.so")
set(ICARUSCODE_GEOMETRY_ICARUSSPLITINDUCTIONCHANNELMAPSETUPTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_Geometry_ICARUSsplitInductionChannelMapSetupTool_tool.so")
set(ICARUSCODE_GEOMETRY_ICARUSGEOMETRYHELPER_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_Geometry_IcarusGeometryHelper_service.so")
set(ICARUSCODE_PMT_OPTICALTOOLS_OPHITFINDERSTANDARD_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpticalTools_OpHitFinderStandard_tool.so")
set(ICARUSCODE_PMT_OPTICALTOOLS_OPHITFINDER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpticalTools_OpHitFinder_tool.so")
set(ICARUSCODE_PMT_OPRECO_FAKEFLASH_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_FakeFlash_module.so")
set(ICARUSCODE_PMT_OPRECO_FAKEPHOTOS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_FakePhotoS_module.so")
set(ICARUSCODE_PMT_OPRECO_FULLOPHITFINDER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_FullOpHitFinder_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSFLASHASSANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSFlashAssAna_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSMCOPFLASH_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSMCOpFlash_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSMCOPHIT_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSMCOpHit_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSOPFLASHANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSOpFlashAna_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSOPHITANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSOpHitAna_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSOPHITTUPLE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSOpHitTuple_module.so")
set(ICARUSCODE_PMT_OPRECO_ICARUSPARTICLEANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_ICARUSParticleAna_module.so")
set(ICARUSCODE_PMT_OPRECO_FLASHFINDER "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_FlashFinder.so")
set(ICARUSCODE_PMT_OPRECO_FLASHFINDER_ICARUSFLASHFINDER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpReco_FlashFinder_ICARUSFlashFinder_module.so")
set(ICARUSCODE_PMT_ALGORITHMS "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Algorithms.so")
set(ICARUSCODE_PMT_LIBRARYMAPPINGTOOLS "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_LibraryMappingTools.so")
set(ICARUSCODE_PMT_LIBRARYMAPPINGTOOLS_ICARUSPHOTONMAPPINGTRANSFORMATIONS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_LibraryMappingTools_ICARUSPhotonMappingTransformations_tool.so")
set(ICARUSCODE_PMT_TRIGGER_ALGORITHMS "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_Algorithms.so")
set(ICARUSCODE_PMT_TRIGGER_UTILITIES "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_Utilities.so")
set(ICARUSCODE_PMT_TRIGGER "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger.so")
set(ICARUSCODE_PMT_TRIGGER_DISCRIMINATEPMTWAVEFORMS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_DiscriminatePMTwaveforms_module.so")
set(ICARUSCODE_PMT_TRIGGER_DUMPTRIGGERGATEDATA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_DumpTriggerGateData_module.so")
set(ICARUSCODE_PMT_TRIGGER_DYNAMICTRIGGERGATEBUILDERTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_DynamicTriggerGateBuilderTool_tool.so")
set(ICARUSCODE_PMT_TRIGGER_EXTRACTENERGYDEPOSITIONSUMMARY_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_ExtractEnergyDepositionSummary_module.so")
set(ICARUSCODE_PMT_TRIGGER_FIXEDTRIGGERGATEBUILDERTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_FixedTriggerGateBuilderTool_tool.so")
set(ICARUSCODE_PMT_TRIGGER_LVDSGATES_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_LVDSgates_module.so")
set(ICARUSCODE_PMT_TRIGGER_DISCRIMINATEPMTWAVEFORMSBYCHANNEL_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_DiscriminatePMTwaveformsByChannel_module.so")
set(ICARUSCODE_PMT_TRIGGER_SLIDINGWINDOWTRIGGER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_SlidingWindowTrigger_module.so")
set(ICARUSCODE_PMT_TRIGGER_MAJORITYTRIGGERSIMULATION_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_MajorityTriggerSimulation_module.so")
set(ICARUSCODE_PMT_TRIGGER_SLIDINGWINDOWTRIGGERSIMULATION_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_SlidingWindowTriggerSimulation_module.so")
set(ICARUSCODE_PMT_TRIGGER_TRIGGEREFFICIENCYPLOTS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_TriggerEfficiencyPlots_module.so")
set(ICARUSCODE_PMT_TRIGGER_MAKETRIGGERSIMULATIONTREE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_MakeTriggerSimulationTree_module.so")
set(ICARUSCODE_PMT_TRIGGER_MAJORITYTRIGGEREFFICIENCYPLOTS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_MajorityTriggerEfficiencyPlots_module.so")
set(ICARUSCODE_PMT_TRIGGER_SLIDINGWINDOWTRIGGEREFFICIENCYPLOTS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_Trigger_SlidingWindowTriggerEfficiencyPlots_module.so")
set(ICARUSCODE_PMT_SIMPMTICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_SimPMTIcarus_module.so")
set(ICARUSCODE_PMT_PMTWAVEFORMBASELINES_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_PMTWaveformBaselines_module.so")
set(ICARUSCODE_PMT_PMTWAVEFORMBASELINESFROMREADOUTCONFIGURATION_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_PMTWaveformBaselinesFromReadoutConfiguration_module.so")
set(ICARUSCODE_PMT_ASYMGAUSSPULSEFUNCTIONTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_AsymGaussPulseFunctionTool_tool.so")
set(ICARUSCODE_PMT_ASYMEXPPULSEFUNCTIONTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_AsymExpPulseFunctionTool_tool.so")
set(ICARUSCODE_PMT_CUSTOMPULSEFUNCTIONTOOL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_CustomPulseFunctionTool_tool.so")
set(ICARUSCODE_PMT_OPHITFINDERICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_OpHitFinderICARUS_module.so")
set(ICARUSCODE_PMT_PMTSTARTCALIBTIME_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_PMTStartCalibTime_module.so")
set(ICARUSCODE_PMT_PMTCOORDINATES_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_PMTcoordinates_module.so")
set(ICARUSCODE_PMT_PHOTONPROPOGATIONICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_PhotonPropogationICARUS_module.so")
set(ICARUSCODE_PMT_TRIGINFO_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_TrigInfo_module.so")
set(ICARUSCODE_PMT_WVFANAICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_PMT_wvfAnaicarus_module.so")
set(ICARUSCODE_RECOUTILS "$ENV{ICARUSCODE_LIB}/libicaruscode_RecoUtils.so")
set(ICARUSCODE_TPC_CALORIMETRY_ALGORITHMS "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Calorimetry_Algorithms.so")
set(ICARUSCODE_TPC_CALORIMETRY_CALORIMETRYICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Calorimetry_CalorimetryICARUS_module.so")
set(ICARUSCODE_TPC_CALORIMETRY_GNOCCHICALORIMETRYICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Calorimetry_GnocchiCalorimetryICARUS_module.so")
set(ICARUSCODE_TPC_UTILITIES_TOOLS_ELECTRONICSRESPONSEBESSELAPPROX_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_tools_ElectronicsResponseBesselApprox_tool.so")
set(ICARUSCODE_TPC_UTILITIES_TOOLS_ELECTRONICSRESPONSE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_tools_ElectronicsResponse_tool.so")
set(ICARUSCODE_TPC_UTILITIES_TOOLS_FIELDRESPONSE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_tools_FieldResponse_tool.so")
set(ICARUSCODE_TPC_UTILITIES_TOOLS_FILTER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_tools_Filter_tool.so")
set(ICARUSCODE_TPC_UTILITIES_TOOLS_RESPONSE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_tools_Response_tool.so")
set(ICARUSCODE_TPC_UTILITIES_FILECATALOGMETADATAICARUS_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_FileCatalogMetadataICARUS_service.so")
set(ICARUSCODE_TPC_UTILITIES_SIGNALSHAPINGICARUSSERVICE_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_SignalShapingICARUSService_service.so")
set(ICARUSCODE_TPC_UTILITIES_TFILEMETADATAICARUS_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Utilities_TFileMetadataICARUS_service.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_HITFINDER_HITFINDERTOOLS_CANDHITICARUS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_HitFinder_HitFinderTools_CandHitICARUS_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_HITFINDER_HITFINDERTOOLS_PEAKFITTERICARUS_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_HitFinder_HitFinderTools_PeakFitterICARUS_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_HITFINDER_HITMERGER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_HitFinder_HitMerger_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_HITFINDER_HITSELECTOR_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_HitFinder_HitSelector_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_HITFINDER_ICARUSHITFINDER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_HitFinder_ICARUSHitFinder_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_ALGORITHMS "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_Algorithms.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_ALGORITHMS_MORPHOLOGICALFILTER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_Algorithms_MorphologicalFilter_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_ALGORITHMS_RAWDIGITFILTERALG_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_Algorithms_RawDigitFilterAlg_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_RAWDIGITFILTERICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_RawDigitFilterICARUS_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_RAWDIGITSMOOTHER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_RawDigitSmoother_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_TPCNOISEMC_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_TPCNoiseMC_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_TPCNOISE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_TPCNoise_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RAWDIGITFILTER_MTRAWDIGITFILTERICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RawDigitFilter_mtRawDigitFilterICARUS_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_BASELINEMOSTPROBAVE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_BaselineMostProbAve_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_BASELINESTANDARD_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_BaselineStandard_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_FULLWIREDECONVOLUTION_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_FullWireDeconvolution_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_NOBASELINE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_NoBaseline_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_ROIDECONVOLUTION_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_ROIDeconvolution_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_ROIFINDERDIFFERENTIAL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_ROIFinderDifferential_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_ROIFINDERMORPHOLOGICAL_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_ROIFinderMorphological_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_ROIFINDERNOP_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_ROIFinderNOP_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECONTOOLS_ROIFINDERSTANDARD_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_DeconTools_ROIFinderStandard_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_ROITOOLS_ROICANNYEDGEDETECTION_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_ROITools_ROICannyEdgeDetection_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_ROITOOLS_ROIFROMDECODER_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_ROITools_ROIFromDecoder_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_ROITOOLS_ROIMORPHOLOGICAL2D_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_ROITools_ROIMorphological2D_tool.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_SIMTESTPULSE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_SimTestPulse.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_SIMTESTPULSE_SIMTESTPULSEANA_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_SimTestPulse_SimTestPulseAna_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_SIMTESTPULSE_SIMTESTPULSEWIRE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_SimTestPulse_SimTestPulseWire_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_SIMTESTPULSE_SIMTESTPULSE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_SimTestPulse_SimTestPulse_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_DECON1DROI_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_Decon1DROI_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_ROIFINDER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_ROIFinder_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_RECOWIREICARUSRAW_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_RecoWireICARUSRaw_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_RECOWIREICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_RecoWireICARUS_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_RECOWIREROIICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_RecoWireROIICARUS_module.so")
set(ICARUSCODE_TPC_SIGNALPROCESSING_RECOWIRE_RECOWIREROI_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_SignalProcessing_RecoWire_RecoWireROI_module.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_TOOLS_CORRELATEDNOISE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_tools_CorrelatedNoise_tool.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_TOOLS_NONOISE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_tools_NoNoise_tool.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_TOOLS_NOISEFROMHIST_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_tools_NoiseFromHist_tool.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_TOOLS_RANDOMNOISE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_tools_RandomNoise_tool.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_TOOLS_SBNDATANOISE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_tools_SBNDataNoise_tool.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_TOOLS_SBNNOISE_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_tools_SBNNoise_tool.so")
set(ICARUSCODE_TPC_SIMULATION_DETSIM_SIMWIREICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_DetSim_SimWireICARUS_module.so")
set(ICARUSCODE_TPC_SIMULATION_OVERLAY_TOOLS_OVERLAY1D_TOOL "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_Overlay_tools_Overlay1D_tool.so")
set(ICARUSCODE_TPC_SIMULATION_OVERLAY_OVERLAYICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_Overlay_OverlayICARUS_module.so")
set(ICARUSCODE_TPC_SIMULATION_SPACECHARGE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_SpaceCharge.so")
set(ICARUSCODE_TPC_SIMULATION_SPACECHARGESERVICES_SPACECHARGESERVICEICARUS_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Simulation_SpaceChargeServices_SpaceChargeServiceICARUS_service.so")
set(ICARUSCODE_TPC_TRACKING_MCS "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Tracking_MCS.so")
set(ICARUSCODE_TPC_TRACKING_MCS_MCSFITPRODUCERICARUS_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_TPC_Tracking_MCS_MCSFitProducerICARUS_module.so")
set(ICARUSCODE_UTILITIES "$ENV{ICARUSCODE_LIB}/libicaruscode_Utilities.so")
set(ICARUSCODE_UTILITIES_SAVECONFIGURATIONINTOTFILE_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Utilities_SaveConfigurationIntoTFile_module.so")
set(ICARUSCODE_UTILITIES_DUPLICATEEVENTTRACKER_SERVICE "$ENV{ICARUSCODE_LIB}/libicaruscode_Utilities_DuplicateEventTracker_service.so")
set(ICARUSCODE_UTILITIES_DUMMYFILTER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Utilities_DummyFilter_module.so")
set(ICARUSCODE_UTILITIES_DUMMYPRODUCER_MODULE "$ENV{ICARUSCODE_LIB}/libicaruscode_Utilities_DummyProducer_module.so")
  include_directories ( "$ENV{ICARUSCODE_INC}" )

check_required_components(icaruscode)

